Package org.apache.any23.vocab

## Class LKIFCoreRole

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreRole

-     public class LKIFCoreRole
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The role module defines a typology of roles (epistemic roles, functions, person roles, organisation roles) and the plays-property for relating a role filler to a role.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `context` |
    `org.eclipse.rdf4j.model.IRI` | `counts_as` |
    `org.eclipse.rdf4j.model.IRI` | `Epistemic_Role` |
    `org.eclipse.rdf4j.model.IRI` | `Function` |
    `org.eclipse.rdf4j.model.IRI` | `imposed_on` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `Organisation_Role` |
    `org.eclipse.rdf4j.model.IRI` | `Person_Role` |
    `org.eclipse.rdf4j.model.IRI` | `played_by` |
    `org.eclipse.rdf4j.model.IRI` | `plays` |
    `org.eclipse.rdf4j.model.IRI` | `Role` |
    `org.eclipse.rdf4j.model.IRI` | `Social_Role` |
    `org.eclipse.rdf4j.model.IRI` | `Subjective_Entity` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreRole` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Epistemic_Role

          public final org.eclipse.rdf4j.model.IRI Epistemic_Role

    - #### Function

          public final org.eclipse.rdf4j.model.IRI Function

    - #### Organisation_Role

          public final org.eclipse.rdf4j.model.IRI Organisation_Role

    - #### Person_Role

          public final org.eclipse.rdf4j.model.IRI Person_Role

    - #### Role

          public final org.eclipse.rdf4j.model.IRI Role

    - #### Social_Role

          public final org.eclipse.rdf4j.model.IRI Social_Role

    - #### Subjective_Entity

          public final org.eclipse.rdf4j.model.IRI Subjective_Entity

    - #### context

          public final org.eclipse.rdf4j.model.IRI context

    - #### counts_as

          public final org.eclipse.rdf4j.model.IRI counts_as

    - #### imposed_on

          public final org.eclipse.rdf4j.model.IRI imposed_on

    - #### played_by

          public final org.eclipse.rdf4j.model.IRI played_by

    - #### plays

          public final org.eclipse.rdf4j.model.IRI plays

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreRole getInstance()